package com.sunxung.factoring.entity.project;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * <p>
 * 项目业主方-重大负面新闻舆情
 * </p>
 *
 * @author liutao
 * @since 2023-12-15
 */
@TableName("project_owner_news")
public class ProjectOwnerNews  {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 项目业主方审核id
     */
    @TableField("project_audit_id")
    private Long projectAuditId;

    /**
     * sop端 新闻舆情id
     */
    @TableField("c_News_id")
    private Long cNewsId;

    /**
     * 新闻标题
     */
    @TableField("title")
    private String title;

    /**
     * 发布时间
     */
    @TableField("publish_time")
    private String publishTime;

    /**
     * 重大负面新闻舆情 0 否 1 是
     */
    @TableField("News")
    @JsonProperty("News")
    private Integer News;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getProjectAuditId() {
        return projectAuditId;
    }

    public void setProjectAuditId(Long projectAuditId) {
        this.projectAuditId = projectAuditId;
    }
    public Long getcNewsId() {
        return cNewsId;
    }

    public void setcNewsId(Long cNewsId) {
        this.cNewsId = cNewsId;
    }
    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }
    public String getPublishTime() {
        return publishTime;
    }

    public void setPublishTime(String publishTime) {
        this.publishTime = publishTime;
    }
    public Integer getNews() {
        return News;
    }

    public void setNews(Integer News) {
        this.News = News;
    }

    @Override
    public String toString() {
        return "ProjectOwnerNews{" +
            "projectAuditId=" + projectAuditId +
            ", cNewsId=" + cNewsId +
            ", title=" + title +
            ", publishTime=" + publishTime +
            ", News=" + News +
        "}";
    }
}
